//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#pragma once

namespace TesterModule
{
	using namespace VWFC::PluginSupport;

	// ------------------------------------------------------------------------------------------------------
	class CObj_EventSink : public VWParametric_EventSink
	{
	public:
					CObj_EventSink(IVWUnknown* parent);
		virtual		~CObj_EventSink();

	// Plug-in Object action/events constants 
	public:
		virtual EObjectEvent	OnInitXProperties(CodeRefID objectID);
		virtual EObjectEvent	Recalculate();
	};


	// ------------------------------------------------------------------------------------------------------
	class CExtObj : public VWExtensionParametric
	{
		DEFINE_VWExtension;
	public:
										CExtObj(CallBackPtr cbp);
		virtual							~CExtObj();
	public:
		virtual void					DefineSinks();
	};

}